### Method

# Secret Collection search_finish

#### Declaration [src]

    GList*
    secret_collection_search_finish (
      SecretCollection* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to search for items in a collection.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `None`
| a list of items that matched the search.
| The caller of the method takes ownership of the data, and is responsible for freeing it.